# Copyright (c) Erik Kunze 1995 - 2002
#
# This file is a part of the Spectrum emulator package 'XZX-Pro', and may not
# be distributed.  The copyright holder makes no representations about the
# suitability of this software for any purpose.  It is provided "as is" without
# express or implied warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT
# PERMISSION!
#
# THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.
#
# Author: Erik Kunze
#
# $Id: xzx.spec,v 1.10 2003/01/07 17:28:17 erik Exp $

# User-Defined Macros:
# %define <name> <expansion>
%define Name		xzx-pro
%define Version		4.2
%define DirVersion	4.2
%define ReleaseNum	1e
%define Prefix		/usr

Summary:	A Sinclair ZX Spectrum 48K/128K/+3 emulator

Name:		%{Name}
Version:	%{Version}
Release:	%{ReleaseNum}
Packager:	xzx@zx-spectrum.net
Copyright:	1995-2003 Erik Kunze
Group:		Applications/Emulators

Vendor:		Erik Kunze <xzx@zx-spectrum.net>
Distribution:	-
URL:		http://www.zx-spectrum.net/xzx/

Source0:	http://www.zx-spectrum.net/xzx/files/%{Name}-%{Version}-eval.tar.gz
#Patch0:	%{Name}-reg.patch
BuildRoot:	/tmp/%{Name}-%{Version}-%{ReleaseNum}
#Requires:	XFree86, XFree86-libs, glibc, openmotif
AutoReqProv:	yes

%description
XZX-Pro is a portable emulator of Sinclair ZX Spectrum 48K/128K/+3 (8-bit home
computers made by Sir Clive Sinclair) and Spectrum clones for machines
running Unix and the X Window system.  XZX-Pro is completely written in C. It
initially was based on XZX 1.0.2 by Des Herriott, but has been completely
rewritten since then.

XZX-Pro emulates

 o Spectrum 48K, 128K, +2 and +3, Pentagon and Scorpion, Didaktik
 o Interface I with up to 8 microdrives,
 o Multiface 128 and Multiface 3 by Romantic Robot Ltd
 o Beta 128 disk interface by Technology Research Ltd with 4 disk drives,
 o +D disk interface by Miles Gordon Technology with 2 disk drives,
 o D80 disk interface with 2 disk drives,
 o Kempston mouse,
 o Kempston joystick and
 o built-in machine code monitor.

XZX-Pro loads from

 o snapshots in .SNA, .Z80, .SLT or .DAT format,
 o tape images in .TAP, .TZX, or .VOC format,
 o microdrive cartridge images in .MDR format,
 o disk images in .DSK, .TRD, .FDI, .SCL, HOBETA, .MGT, .IMG or .D80 format,
 o screen dumps in .SCR format and
 o poke instructions in .POK format.

XZX-Pro saves to

 o snapshots in .SNA, .Z80 or .SLT format,
 o tape images in .TAP format,
 o microdrive cartridge images in .MDR format,
 o disk images in .DSK, .TRD, .MGT, .IMG or .D80 format and
 o screen dumps in .SCR format.

Additional features:

 o Emulates Spectrum's speaker and AY-3-8912 chip on workstations with audio
   hardware.
 o Supports colour (8,15,16,24,32bpp) and monochrome displays, where contrasting
   colours are displayed with the darker colour in black and the lighter colour
   in white, which works reasonably well.
 o Supports analogue joystick on PCs with a joystick device (Linux and FreeBSD).
 o Redirects Spectrum's printer output to file or command (pipe).
 o Connect Interface I's RS232 to the workstation serial device.

This evaluation version is not completely functional, and the parts which are
left out are included when you purchase the full version. You are encouraged to
give this evaluation version to anybody if you do not change, or remove anything
from the package.

%prep

%setup -n %{Name}-%{DirVersion}

#%patch0 -p1 -E -b .orig

%build
CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="-s" ./configure \
	--prefix=%{Prefix} \
	--bindir=%{Prefix}/X11R6/bin --mandir=%{Prefix}/X11R6/man \
	--with-oss
make

%install
make DESTDIR="${RPM_BUILD_ROOT}" install
#gzip -f9 ${RPM_BUILD_ROOT}/%{Prefix}/X11R6/man/man1/xzx.1

%files
%attr( - ,root,root) %doc COPYRIGHT INSTALL
%attr( - ,root,root) %doc doc/README doc/ChangeLog #doc/ChangeLog.1
%attr( - ,root,root) %doc doc/TODO doc/FAQ
%dir %{Prefix}/lib/xzx-pro
%attr( - ,root,root) %{Prefix}/X11R6/bin/xzx
%attr( - ,root,root) %{Prefix}/X11R6/lib/X11/app-defaults/Xzx
%attr( - ,root,root) %{Prefix}/X11R6/man/man1/xzx.1.bz2
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/COPYRIGHT
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/README
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/FAQ
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/spectrum.rom
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/128.rom
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/plus2.rom
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/plus3.rom
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/if1.rom
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/if1-v1.rom
%attr( - ,root,root) %{Prefix}/lib/xzx-pro/if1-v2.rom

%clean
make clean
rm -rf ${RPM_BUILD_ROOT}

# EOF
